using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
   public  class Rule1023
    {
       private string[][] values;

       // このインデクサは CA1023 に違反しています。
       public string this[int row, int column]
       {
           get
           {
               return this.values[row][column];
           }
           set
           {
               this.values[row][column] = value;
           }
       }

       public Rule1023(string[][] values)
       {
           this.values = values;
       }
    }
}
